Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List To export the bot definition and all associated components.
This API only initiates the export process. Use the Export Status API to view the export progress and obtain a download link once the export completes.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/export
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Bot Export; Admin Console: Bot Definition > Bot Export

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.ai.Required
BotIDBot ID or Stream ID. Access it under General Settings on the App Builder.Required

Sample Request

curl --location 'https://{host}/api/public/bot/{BotID}/export' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'content-type: application/json' \
--data '{
    "exportType": "published",
    "exportOptions": {
        "settings": [
            "botSettings",
            "botVariables",
            "ivrSettings",
            "genAIandLLMSettings"
        ],
        "tasks": [
            "botTask",
            "knowledgeGraph",
            "smallTalk"
        ],
        "nlpData": [
            "utterances",
            "patterns",
            "traits",
            "rules",
            "concepts",
            "synonyms",
            "standardResponses",
            "nlpSettings"
        ],
        "AgentAI": [
            "rules",
            "playbooks",
            "widgetSettings",
            "layoutSettings"
        ]
    },
    "subTasks": {
        "alerts": [],
        "actions": [],
        "dialogs": [],
        "experienceFlows": []
    },
    "allTasks": true,
    "customDashboards": true,
    "IncludeDependentTasks": true
}'

Body Parameters

ParameterDescriptionRequired
exportTypeBot type: latest or published.Required
exportOptionsAll bot components are exported by default. Specify components to include if a partial export is needed. Supports tasks, nlpData, AgentAI, and settings sub-keys.Optional
subTasksFor partial export, list the specific tasks to include: dialogs, alerts, actions.Optional
IncludeDependentTasksSet to true to include dependent tasks in the export.Optional
customDashboardsSet to true to include custom dashboards in the export.Optional
allTasksSet to true to include all tasks. Ignored if subTasks is present.Optional

Sample Response

{
    "_id": "ber-a59b2599-xxxx-xxxx-a3ad-3109e08e427a",
    "streamId": "st-6fa10d24-xxxx-xxxx-b457-1e33a82b115e",
    "status": "pending",
    "createdBy": "u-ccdc35ab-xxxx-5xxxx-bd74-df7ae1afcfe6",
    "exportType": "latest",
    "requestType": "Botexport",
    "createdOn": "2024-09-30T08:12:03.442Z",
    "__v": 0
}